Edit an MCP server
curl --request PUT \
--url https://api.qovery.com/mcpServer/{mcpServerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"description": "",
"headers": {}
}
'import requests
url = "https://api.qovery.com/mcpServer/{mcpServerId}"
payload = {
"name": "<string>",
"url": "<string>",
"description": "",
"headers": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', url: '<string>', description: '', headers: {}})
};
fetch('https://api.qovery.com/mcpServer/{mcpServerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"header_names": [
"<string>"
]
}MCP Servers
Edit an MCP server
Replace a remote MCP server configuration, including all configured headers.
PUT
/
mcpServer
/
{mcpServerId}
Edit an MCP server
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
MCP Server ID
Body
application/json
Unique MCP server name within the organization
Minimum string length:
1HTTPS URL of the remote MCP server
Pattern:
^https://HTTP headers sent to the MCP server. Header values are encrypted and never returned by the API.
Show child attributes
Show child attributes
Response
MCP server edited
HTTPS URL of the remote MCP server
Pattern:
^https://Names of the configured HTTP headers. Header values are never returned.
Was this page helpful?